
body {
    background: #f4f5f4;
  }
  
  #header {
    background: darkblue;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: auto;
    padding: 15px 30px 10px 30px;
    border-bottom: 3px solid black;
  }
  
  /* if it wraps, align to center */
  @media only screen and (max-width: 350px) {
    #header {
      justify-content: center;
    }
  }
  
  #header a {
    color: #f4f5f4;
  }
  
  #header .navbar-brand {
    line-height: 80%;
  }
  #header span.navbar-name {
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    font-size: 24px;
  }
  
  #header span.navbar-tagline {
    font-size: 12px;
    font-weight: normal;
  }
  #header div a {
    color: #f4f5f4;
    text-align: center;
    transition: transform 0.25s;
  }
  
  #header div a:hover {
    color: #f4f5f4;
    transform: scale(1.2);
    transition: transform 0.25s;
  }
  
  
  #header div.navbar-nav {
    width: 100%;
    /* height: 100%; */
    display: flex;
    flex-direction: row; 
    justify-content: space-around;
  }
  
  /* for smaller screens, display header toggler vertically */
  @media only screen and (max-width: 500px) {
    #header div.navbar-nav {
      flex-direction: column; 
    }
  }
  
  
  
  
  /* footer styling */
  #footer {
    /* background: rgb(88,22,109); */
    background: darkblue;
    border-top: 3px solid black;
    color: #f4f5f4;
  }
  
  #footer #header {
    border-bottom: 0;
  }
  
  
  
  div.contact-link {
    margin: 10px 0 10px 0;
    padding: 0;
  }
  
  
  a.contact-link-mail {
    font-size: 40px;
    padding: 0px 0px 0px 0px;
    border-radius: 5px;
    color: #f4f5f4;
  }
  
  a.contact-link-linkedin {
    background-color: #0077b5;
    color: white;
    padding: 2px 10px 2px 10px;
    border-radius: 5px;
    font-size: 25px;
  }
  
  a.contact-link-github {
    background-color: black;
    color: white;
    padding: 0px 10px 2px 10px;
    border-radius: 5px;
    font-size: 30px;
  }
  
  
  #footer ul a {
    color: #f4f5f4;
    text-align: left;
    text-decoration: none;
  }
  
  #footer ul li {
    margin-top: 10px;
  }
  
  /* generic items styling */
  .photo-caption {
    font-style: italic;
    font-weight: bold;
  }
  
  
  h1 { 
    font-size: 1.5rem; 
    text-align: center;
  }
  h2 { 
    font-size: 1.25rem; 
    text-align: center;
  }
  h3 { 
    font-size: 1.15rem; 
    text-align: center;
  }
  
  